//	キャラクタLCD I2C化アダプタ：マスター側ライブラリ
//	『昼夜逆転』工作室	http://jsdiy.webcrow.jp
/*
【履歴】
2016/09/25	ver1.10
2016/10/10	ver1.11	I2CCHARLCD_DEFAULT_SLAを追加。
2017/06/18	・I2C-LCD関連ファイルをtwiclcdフォルダにまとめた。
			・main.cでの#includeを簡単にするため、
			　"I2cCharLcdCmd.h", "HD44780_Instruction.h" を、"I2cCharLcdLib.h"で#includeした。
2017/06/18	ver1.20
	・戻り値を全てvoidにした。
	・関数名のI2CCHARLCD_をI2CLCD_に変更。
	・I2CCHARLCD_Clr()をI2CLCD_Clear()に変更。
*/

#ifndef I2CCHARLCDLIB_H_
#define I2CCHARLCDLIB_H_


#include "I2cCharLcdCmd.h"
#include "HD44780_Instruction.h"

#define I2CLCD_DEFAULT_SLA	0x3C

void	I2CLCD_Init(uint8_t slaveAddress, uint8_t columnSize, uint8_t rowSize);
void	I2CLCD_SlaveSelect(uint8_t slaveAddress);
void	I2CLCD_SendCmd(uint8_t cmd);
void	I2CLCD_SendData(uint8_t data);
void	I2CLCD_SetLineMode(uint8_t lineMode, uint8_t cursorFlag);
void	I2CLCD_SetPos(uint8_t row_y, uint8_t column_x);
void	I2CLCD_Clear();
void	I2CLCD_PutChar(char cc);
void	I2CLCD_PutString(const char* str);
void	I2CLCD_PutStringP(const char* strpgm);
void	I2CLCD_PutInt(int16_t n);
void	I2CLCD_PutUInt(uint16_t n);
void	I2CLCD_PutByte(uint8_t n);
void	I2CLCD_PutWord(uint16_t n);
void	I2CLCD_DefChar(uint8_t id, const uint8_t* dots);


#endif	//I2CCHARLCDLIB_H_
